git-annex-direct(1)

NAME
git-annex-direct - switch repository to direct mode

SYNOPSIS
git annex direct

DESCRIPTION
Switches a repository to use direct mode, where rather than symlinks to files, the files are directly present in the repository.

As part of the switch to direct mode, any changed files will be committed.

Note that git commands that operate on the work tree will refuse to run in direct mode repositories. Use git annex proxy to safely run such commands.

Note that the direct mode/indirect mode distinction is removed in v6 git-annex repositories. In such a repository, you can use git-annex-unlock(1) to make a file's content be directly present. You can also use git-annex-adjust(1) to enter a branch where all annexed files are unlocked, which is similar to the old direct mode.

SEE ALSO
git-annex(1)

git-annex-indirect(1)

git-annex-unlock(1)

git-annex-adjust(1)

AUTHOR
Joey Hess <id@joeyh.name>